Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## griffon.transform
[Java] Enum Threading.Policy

    java.lang.Object
      griffon.transform.Threading.Policy

    public enum Threading.Policy

Indicates the type of threading management for a method or property.

The following values apply

- `SKIP` - no threading management will be performed.
- `OUTSIDE_UITHREAD` - code should be invoked outside of the UI thread.
- `INSIDE_UITHREAD_SYNC` - code should be invoked inside the UI thread using a synchronous call.
- `INSIDE_UITHREAD_ASYNC` - code should be invoked inside the UI thread using an asynchronous call.

Authors:
  Andres Almiray

See Also:
  Threading

Since:
  0.9.2

Enum Constant Summary
`INSIDE_UITHREAD_ASYNC`
`INSIDE_UITHREAD_SYNC`
`OUTSIDE_UITHREAD`
`SKIP`

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Enum Constant Detail

### INSIDE_UITHREAD_ASYNC

    Threading.Policy INSIDE_UITHREAD_ASYNC

### INSIDE_UITHREAD_SYNC

    Threading.Policy INSIDE_UITHREAD_SYNC

### OUTSIDE_UITHREAD

    Threading.Policy OUTSIDE_UITHREAD

### SKIP

    Threading.Policy SKIP

Groovy Documentation